Name: libgksu
Version: 2.0.7
Release: alt1

Summary: A 'su' and 'sudo' wrapper library for GTK+/GNOME applications
License: %lgpl2plus
Group: System/Libraries
Url: http://www.nongnu.org/gksu/
Source: http://people.debian.org/~kov/gksu/%name-%version.tar.gz

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.ac
BuildPreReq: libgtk+2-devel >= 2.4.0
BuildPreReq: GConf2 libGConf2-devel libstartup-notification-devel libgnome-keyring-devel libgtop2-devel libglade2-devel
BuildPreReq: gettext-tools
BuildPreReq: gtk-doc >= 1.0

BuildRequires: perl-XML-Parser

%description
GKSu is a stack of libraries and an application that provide a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user.

This package contains the authentication library. To use the application, install gksu package.

%package devel
Summary: Development files for libgksu
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
GKSu is a stack of libraries and an application that provide a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user.

This package contains the files necessary for development/compilation of programs that use %name.

%define libname libgksu2

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-gtk-doc

%make

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

%post
%gconf2_install gksu

%preun
if [ $1 = 0 ]; then
%gconf2_install gksu
fi

%files -f %name.lang
%_libdir/%libname.so.*
%dir %_libdir/%name
%_libdir/%name/gksu-run-helper
%_bindir/gksu-properties
%_datadir/%name/gksu-properties.glade
%_pixmapsdir/gksu.png
%_desktopdir/gksu-properties.desktop
%config %gconf_schemasdir/gksu.schemas

%files devel
%dir %_includedir/%name
%_includedir/%name/*.h
%_libdir/%libname.so
%_pkgconfigdir/%libname.pc
%dir %_datadir/gtk-doc/html/%name
%_datadir/gtk-doc/html/%name/*

%changelog
* Sun Aug 10 2008 Alexey Rusakov <ktirf@altlinux.org> 2.0.7-alt1
- new version (2.0.7)
- use macros from rpm-build-licenses and rpm-build-gnome
- use %%make_install macro instead of %%makeinstall, fixing ALT Bug 16330.

* Tue Mar 27 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.4-alt1
- new version (2.0.4)
- fixed building on x86_64
- Source address has changed
- spec cleanup

* Sat Sep 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.9.8-alt1
- the first build for Sisyphus.

